package no.valg.valgnatt.database.forberedvalg.bean;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class BeanHistorikkStemmetall extends Bean {
    private int vts;
    private int fhs;

    @Override
    public String getKey() {
        return makeKey(getValgaar(), getValgtype(), getKommnr(), getKretsnr(), getPartikode());
    }

    public static String makeKey(int valgaar, String valgtype, String kommnr, String kretsnr, String partikode) {
        return valgaar + valgtype + kommnr + kretsnr + partikode;
    }

}
